This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 636711 - Dashboard: Sometimes portlet placements do not persist
Dashboard: Sometimes portlet placements do not persist
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 jon30-dashboard
  Show dependency treegraph
 
Reported: 2010-09-22 21:39 EDT by Corey Welton
Modified: 2011-05-23 21:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-09-22 21:39:36 EDT
Description of problem:
If user modifies a dashbard and, for example, drags one or more portlets to another column and logs out, upon login it is discovered that the portlets do not persist in location where user placed them.

Version-Release number of selected component (if applicable):


How reproducible:
Intermittent but fairly reproducible

Steps to Reproduce:
1. Create a new dashboard; add a bunch of standard portlets
2. Move some of the portlets over to a second column.  Assure that they are staying there, i.e., have truly been placed in the column.
3. Logout
4. Log back in and navigate back to your new dash.
  
Actual results:
Sometimes some of the portlets you have moved will find themselves moved back into their original column

Expected results:
Portlets stay where they have been placed

Additional info:
Seems to happen in both Edit and View modes, although *perhaps* more often in edit mode.
Comment 1 Corey Welton 2010-09-22 23:38:35 EDT
Two additional notes/clarifications:

* It appears that one need not necessarily logout/login -- simply navigate elsewhere in the UI, like the inventory view, and return.  Sometimes even in this circumstance, portlet settings are not persisting.

* This failure to persist extends beyond columns and ordering.  It seems that if a user minimizes a bunch of portlets, for example, s/he can return to the dashboard to find that they've all been re-expanded.
Comment 2 Jay Shaughnessy 2011-02-11 18:14:28 EST
This should be fixed now.
Comment 3 Mike Foley 2011-04-20 14:27:42 EDT
verified portlet persistence ... with login/logout ... and without logging out but navigating to other pages ...and then back.
Comment 4 Corey Welton 2011-05-23 21:10:58 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:10:58 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.